Storage Manager for SANs

Storage Manager for SANs helps you create and manage logical unit numbers (LUNs) on Fibre Channel and iSCSI disk drive subsystems that support Virtual Disk Service (VDS) in your storage area network (SAN).

A LUN is a logical reference to a portion of a storage subsystem. A LUN can comprise a disk, a section of a disk, a whole disk array, or a section of a disk array in the subsystem. Using LUNs simplifies the management of storage resources in your SAN because they serve as logical identifiers through which you can assign access and control privileges.

  • Overview of Storage Manager for SANs

  • Checklist: Prepare and Create a LUN

  • Manage Server Connections

  • Manage LUNs

  • Manage iSCSI Targets

  • Manage Subsystems

  • Manage Drives

  • Connecting to a Remote Computer


Overview of Storage Manager for SANs

You can use Storage Manager for SANs to create and manage logical unit numbers (LUNs) on both Fibre Channel and iSCSI disk storage subsystems that support Virtual Disk Service (VDS).

Because of hardware, protocol, and security differences, LUN configuration and management are different in Fibre Channel and iSCSI environments. This section explains those differences.

Managing LUNs in a Fibre Channel environment

In a Fibre Channel environment, LUNs created on a disk storage subsystem are assigned directly to a server or cluster, which accesses the LUN through one or more Fibre Channel host bus adapter (HBA) ports. You only need to identify the server or cluster that will access the LUN, and then select which HBA ports on that server or cluster will be used for LUN traffic.

When a server or cluster is identified, Storage Manager for SANs automatically discovers the available Fibre Channel HBA ports on that server or cluster. You can also add ports manually by typing their World Wide Name (WWN).

Managing LUNs in an iSCSI environment

Unlike in a Fibre Channel environment, LUNs created on an iSCSI disk storage subsystem are not only assigned to a server or cluster. For iSCSI, LUNs are first assigned to logical entities called targets.

Targets are created in order to manage the connections between an iSCSI device and the servers that need to access it. A target defines the portals (IP addresses) that can be used to connect to the iSCSI device, as well as the security settings (if any) that the iSCSI device requires in order to authenticate the servers that are requesting access to its resources.

Note

In most cases, you can create and manage targets yourself. However, some iSCSI storage subsystems only support simple target configurations, where targets are automatically created when you create a LUN. With simple target configurations, you also cannot delete a target or manually assign LUNs to it. LUNs are automatically assigned when they are created. For this type of subsystem, you just need to identify the server or cluster that will access the LUN, and the iSCSI subsystem will enable access from that server or cluster to the LUN.

To connect to a target, a server in the storage area network (SAN) uses an iSCSI initiator. An iSCSI initiator is a logical entity that enables the server to communicate with the target. The iSCSI initiator first logs on to the target, and only after access is granted by the target, the server can start reading and writing to LUNs assigned to that target. Each iSCSI initiator can have one or more network adapters through which communication is established.

As with Fibre Channel environments, you only need to identify the server or cluster that will access the LUN, and Storage Manager for SANs automatically discovers the iSCSI initiators on that server or cluster, and lists all the available adapters for those initiators. After the iSCSI initiator adapters have been discovered, you can select which adapters will be used for LUN traffic.

For more information about iSCSI, see http://go.microsoft.com/fwlink/?LinkId=93543.

Additional references

  • Checklist: Prepare and Create a LUN

  • Manage Server Connections

  • Manage LUNs

  • Manage iSCSI Targets

  • Manage Subsystems

  • Manage Drives

  • Connecting to a Remote Computer


Checklist: Prepare and Create a LUN

Step | Reference
Review the basic logical unit number (LUN) management concepts. | Overview of Storage Manager for SANs
Verify that all the storage subsystems in your storage area network (SAN) have been discovered. | Manage Subsystems
Configure the Fibre Channel and iSCSI connections of the servers to which your LUNs will be assigned. | Manage Server Connections
If you are going to create a LUN for an iSCSI subsystem, first create, configure and log on to the iSCSI targets in the subsystem. | Manage iSCSI Targets
If you are going to enable a server or cluster to access a LUN through multiple Fibre Channel ports or iSCSI initiator adapters, ensure that the server or cluster supports Multipath I/O (MPIO). | Support for Multipath I/O (MPIO)
Use the Provision Storage Wizard to create a LUN and assign it to a server or cluster. | Create a LUN


Manage Server Connections

With Storage Manager for SANs, you can configure the connections that servers in your SAN will use to access the LUNs that you create on your storage subsystems. Before you assign a LUN to a server or to a cluster, you must first configure the connections on each server that will access the LUN.

The configuration of Fibre Channel connections is different from that of iSCSI connections. This section lists the steps to create each type of connection, explains how to provide storage for server clusters, and offers information about enabling more than one connection from a server or cluster to a LUN (Multipath I/O).

This section includes the following topics:

  • Add and Configure a Server with Fibre Channel Connections

  • Add and Configure a Server with iSCSI Connections

  • Define a Server Cluster in Storage Manager for SANs

  • Support for Multipath I/O (MPIO)

Additional references

  • Overview of Storage Manager for SANs

  • Storage Manager for SANs


Add and Configure a Server with Fibre Channel Connections

Logical unit numbers (LUNs) created on Fibre Channel storage subsystems are assigned directly to servers with Fibre Channel connections on the SAN. To configure the Fibre Channel connections, you only need to identify the server that will access the LUN, and then select which ports on that server will be enabled for LUN access.

Storage Manager for SANs automatically discovers Fibre Channel ports on a server. You can also add ports manually by entering their World Wide Name (WWN).

Membership in the local Administrators group, or equivalent, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To add and configure a server with Fibre Channel connections

  1. In the console tree for Storage Manager for SANs, click LUN Management.

  2. In the Actions pane, click Manage Server Connections.

  3. In the Manage Server Connections dialog box, click Add.

  4. In the Add Server dialog box, type the name or browse to the server that you want to add and optionally, type a description for it.

  5. Click OK. The server will now be listed in the Manage Server Connections dialog box, with all the ports that were automatically discovered on it listed on the Fibre Channel Ports tab.

  6. To add a Fibre Channel port manually:

    1. On the Fibre Channel Ports tab, click Add and enter the WWN of the new port.

    2. Optionally, type a description for the new port.

    3. Click OK.

  7. To enable Fibre Channel ports for LUN access:

    1. Select a server from the server list.

    2. On the Fibre Channel Ports tab, select all the ports that you want to enable on the selected server.

    Caution

    If you enable more than one Fibre Channel port and the server is not configured to use Multipath I/O, data corruption may occur. For more information about Multipath I/O, see Support for Multipath I/O (MPIO).

  8. Click OK when you are done configuring the Fibre Channel connections.

Additional references

  • Create a LUN

  • Assign a LUN

  • Manage Server Connections


Add and Configure a Server with iSCSI Connections

Unlike in a Fibre Channel environment, logical unit numbers (LUNs) created on an iSCSI disk storage subsystem are not directly assigned to a server. For iSCSI, LUNs are assigned to logical entities called targets. Servers that require access to a LUN have to connect to the target to which the LUN is assigned. To connect to a target, a server in the storage area network (SAN) uses an iSCSI initiator.

Note

In most cases, you can create and manage targets yourself. However, some iSCSI storage subsystems only support simple target configurations, where targets are automatically created when you create a LUN. With simple target configurations, you also cannot delete a target or manually assign LUNs to it. LUNs are automatically assigned when they are created. For this type of subsystem, you just need to identify the server or cluster that will access the LUN, and the iSCSI subsystem will enable access from that server or cluster to the LUN.

To configure the iSCSI connections, you first need to identify the server that will access the LUN and then select which iSCSI initiator adapters will be used for LUN access. iSCSI initiator adapters on a server are automatically discovered by Storage Manager for SANs.

Important

This feature enables you to perform a select subset of the tasks that relate to iSCSI configuration and administration. You can also perform these and other tasks using the Microsoft iSCSI Initiator, which is included in Windows Server 2008 in Administrative Tools. Additionally, vendors of networking and storage solutions provide similar tools to perform iSCSI configuration and administration tasks. For more information about iSCSI, see http://go.microsoft.com/fwlink/?LinkId=102299.

For information about how to create, configure, and log on to an iSCSI target, see Manage iSCSI Targets.

Membership in the local Administrators group, or equivalent, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To add and configure a server with iSCSI connections

  1. In the console tree for Storage Manager for SANs, click LUN Management.

  2. In the Actions pane, click Manage Server Connections.

  3. In the Manage Server Connections dialog box, click Add.

  4. In the Add Server dialog box, type the name or browse to the server that you want to add and optionally, type a description for it.

  5. Click OK. The server will now be listed in the Manage Server Connections dialog box, with all the initiator adapters that were automatically discovered on it listed on the iSCSI Initiator Adapters tab.

  6. To enable iSCSI initiator adapters for LUN access:

    1. Select a server from the server list.

    2. On the iSCSI Initiator Adapters tab, select all the initiator adapters that you want to enable on the selected server.

      Caution

      If you enable more than one iSCSI initiator adapter and the server is not configured to use Multipath I/O, data corruption can occur. For more information about Multipath I/O, see Support for Multipath I/O (MPIO).

  7. Click OK when you are done configuring the iSCSI connections.

    Note

    Optionally, you can change the iSCSI initiator name, by typing a new name for it in the text box provided on the iSCSI Initiator Adapters tab.

Additional references

  • Create a LUN

  • Assign a LUN

  • Manage Server Connections

  • Manage iSCSI Targets


Define a Server Cluster in Storage Manager for SANs

With Storage Manager for SANs, you can provide logical unit number (LUN) access to a group of servers (a server cluster) in your storage area network (SAN). Server clusters are created by defining them in Storage Manager for SANs and by installing Failover Clustering on each server that will be part of the cluster.

After you create a server cluster, you can assign LUNs to it in the same way you assign LUNs to individual servers.

Caution

To prevent data loss, make sure that each server is a member of only one cluster and that Failover Clustering has been installed on each server in the cluster. For more information about installing Failover Clustering, see http://go.microsoft.com/fwlink/?LinkId=86168.

Membership in the local Administrators group, or equivalent, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To define a server cluster in Storage Manager for SANs

  1. In the console tree, click LUN Management.

  2. In the Actions pane, click Manage Server Connections.

  3. In the Manage Server Connections dialog box, click Manage Clusters.

  4. In the Manage Clusters dialog box, click Add.

  5. In the Add New Cluster dialog box, type a name for the cluster and optionally, type a general description that will help you identify the cluster.

  6. From the server list, select all the servers that you want to include in the new cluster.

    Note

    To add servers to a cluster you must first add them to the server list in Manage Server Connections. For more information see Manage Server Connections.

  7. Click OK to create the new cluster.

  8. Click OK again, to go back to the Manage Server Connections dialog box.

    The new cluster will now be listed in the Manage Server Connections dialog box.

  9. To configure the connections of the cluster, configure the Fibre Channel ports or iSCSI initiator adapters of each individual server included in the cluster by selecting the server from the list. All configuration changes you do on individual servers will take effect on the cluster.

    Caution

    If you are going to enable more than one connection (Fibre Channel ports and/or iSCSI initiator adapters) on a server in the cluster, and that server is not configured to use Multipath I/O, data corruption can occur. For more information about Multipath I/O, see Support for Multipath I/O (MPIO).

  10. Click OK when you have finished configuring the cluster.

Additional references

  • Assign a LUN

  • Manage Server Connections


Support for Multipath I/O (MPIO)

Multipath I/O (MPIO) is a feature that provides support for using multiple data paths to a storage device. Multipathing increases the availability of storage resources by providing path failover from a server or cluster to a storage subsystem.

You must install MPIO on a server if it will access a logical unit number (LUN) through multiple Fibre Channel ports or multiple iSCSI initiator adapters. To install MPIO, follow the steps in the procedure that follows.

Caution

To prevent data loss, ensure that the server supports MPIO before you enable multiple Fibre Channel ports or iSCSI initiator adapters for LUN access. If the server does not support MPIO, or if you are not sure, enable only a single Fibre Channel port or iSCSI initiator adapter on the server.

Caution

If you will be enabling access to a LUN from a cluster, ensure that Failover Clustering has been properly installed on each server in the cluster, or data loss can occur. For more information about installing Failover Clustering, see http://go.microsoft.com/fwlink/?LinkId=86168.

Membership in the local Administrators group, or equivalent, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To install MPIO

  1. In the Server Manager console tree, click the Features node.

  2. In the Features pane, under Features Summary, click Add Features.

  3. In the Add Features Wizard, select the Multipath I/O check box, and click Next.

  4. Follow the steps in the Add Features Wizard.

Additional references

  • For more information about MPIO, see http://go.microsoft.com/fwlink/?LinkId=81020.


Manage LUNs

Storage Manager for SANs helps you create and manage logical unit numbers (LUNs) on Fibre Channel and iSCSI disk drive subsystems in your storage area network (SAN).

The LUN Management node lists all the LUNs created with Storage Manager for SANs and enables you to create new LUNs, extend the size of a LUN, delete LUNs, and assign and unassign LUNs.

This section includes the following topics:

  • Overview of LUN Types

  • Create a LUN

  • Extend a LUN

  • Delete a LUN

  • Assign a LUN

Additional references

  • Overview of Storage Manager for SANs


Overview of LUN Types

A LUN is a logical reference to a portion of a storage subsystem. A LUN can comprise a disk, a section of a disk, a whole disk array, or a section of a disk array in the subsystem. This logical reference, when it is assigned to a server in your SAN, acts as a physical disk drive that the server can read and write to. Using LUNs simplifies the management of storage resources in your SAN, because they serve as logical identifiers through which you can assign access and control privileges.

Types of LUNs

The LUN type determines performance and reliability characteristics of the LUN. You can use any LUN type that is supported by your storage subsystem.

LUN type | Description
Simple | Simple LUNs use only one physical drive or one portion of a physical drive. This is the most basic type of LUN.
Spanned | Spanned LUNs are simple LUNs that span multiple physical drives.
Striped | Striped LUNs write data across multiple physical drives. Data is divided into blocks and spread among all the drives. Since striping writes data to all disks at the same rate, it provides increased I/O performance by distributing I/O requests across disks. Striped LUNs cannot be extended or mirrored, and do not offer fault tolerance. If one of the disks containing a striped LUN fails, the entire LUN fails. Select this type of LUN when improved I/O performance is required.
Mirrored | Mirrored LUNs are fault-tolerant LUNs that provide data redundancy by creating identical copies of the LUN on two physical drives. All read and write operations happen concurrently on both drives. If one of the physical disks fails, the data on the failed disk becomes unavailable, but the LUN continues to be available using the unaffected disk. Select this type of LUN when fault tolerance is required.
Striped with Parity (RAID-5) | Striped LUNs with parity are fault-tolerant LUNs with data and parity spread intermittently across three or more physical disks. If a portion of a physical disk fails, the data that was on the failed portion is recreated from the remaining data and parity information. This type of LUN provides better read performance than a mirrored LUN, but write performance is reduced by the parity calculation. Select this type of LUN when fault tolerance is required and improved read performance is desired.

Volumes on LUNs

After a LUN has been assigned to a server, it will be listed as a disk in that server and you will be able to create one or more volumes on the disk. The performance and reliability characteristics of all volumes that are created on the disk will be determined by the LUN type.

Additional references

  • Manage LUNs


Create a LUN

Storage Manager for SANs includes the Provision Storage Wizard, which you can use to create a logical unit number (LUN) on a Fibre Channel or iSCSI disk storage subsystem.

Before you create a LUN on a storage subsystem, verify that all the following requirements are fulfilled:

  • The storage subsystem supports Virtual Disk Service (VDS).

  • The VDS hardware provider for the storage subsystem is installed on your server.

  • There is storage space available on the storage subsystem.

  • If you want to assign the LUN that you create to a server or cluster in your storage area network (SAN), the server connections have been configured by using the instructions in Manage Server Connections.

  • If you want to assign the LUN to a cluster, the cluster has been fully configured by installing Failover Clustering.

    Caution

    To prevent data loss, make sure that each server is a member of only one cluster and that Failover Clustering has been installed on each server in the cluster. For more information about installing Failover Clustering, see http://go.microsoft.com/fwlink/?LinkId=86168.

  • If the LUN that you are creating is on an iSCSI subsystem, and you want to assign that LUN to an iSCSI target, the iSCSI targets in your SAN have been configured by using the instructions in Manage iSCSI Targets.

  • If the server to which you will be assigning the LUN will access the LUN through more than one Fibre Channel port or iSCSI initiator, Multipath I/O has been installed and is running on that server.

    Caution

    Data loss can occur if you assign the LUN to a server that does not have Multipath I/O installed and that will access the LUN through more than one Fibre Channel port or iSCSI initiator. For more information, see Support for Multipath I/O (MPIO).

Membership in the local Administrators group, or equivalent, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To create a LUN

  1. In the console tree, click LUN Management.

  2. In the Actions pane, click Create LUN.

  3. Follow the steps in the Provision Storage Wizard pages.

Additional considerations

  • If you create a LUN and do not choose to create a volume for it immediately (by using the Provision Storage Wizard), the disk associated with that LUN will be visible to the server that you assign it to, but it will be offline. Before you can create a partition or volume on that disk, you must first use Disk Management or DiskPart to bring the disk online. For more information about bringing a disk online, see:

    • Disk Management (http://go.microsoft.com/fwlink/?LinkID=93544)

    • Online command in DiskPart (http://go.microsoft.com/fwlink/?LinkId=93451)

  • The types of LUNs that you can create depend on the types of LUNs that are supported by each of your storage subsystems. For more information about LUN types, see Overview of LUN Types.

  • The LUN creation process may take several minutes or longer to complete, depending on the properties that you selected and the subsystem hardware.

Additional references

  • Manage LUNs


Extend a LUN

If there is storage space available in the subsystem where a logical unit number (LUN) was created, you can extend the size of that LUN.

Important

Extending a LUN does not automatically extend its file system partition. You must use Disk Manager or a similar tool to extend the file system partition from the server that has access to the LUN.

Membership in the local Administrators group, or equivalent, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To extend a LUN

  1. In the console tree, click LUN Management.

  2. In the Results pane, select the LUN you want to extend.

  3. In the Actions pane, click Extend LUN.

  4. In the Extend LUN dialog box, type the new size for the LUN and select the units in megabytes (MB), gigabytes (GB) or terabytes (TB).

  5. To extend the LUN, click OK.

Additional references

  • Manage LUNs

  • Manage Subsystems


Delete a LUN

Caution

Deleting a logical unit number (LUN) permanently deletes all data on all volumes on the LUN. This operation cannot be undone. Make sure that you have shut down all applications that access the LUN.

Membership in the local Administrators group, or equivalent, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To delete a LUN

  1. In the console tree, click LUN Management.

  2. In the Results pane, select the LUN you want to delete.

  3. In the Actions pane, click Delete LUN.

  4. Select Check here if you want to delete this LUN, and then click OK.

Additional considerations

  • If you want to temporarily make a LUN invisible to a server or cluster but retain the data stored in the LUN, you can unassign the LUN instead of deleting it. (In LUN Management, select the LUN that you want to unassign. Then, in the Actions pane, click Unassign LUN.) You will be able to assign the LUN again at a later date to access the data.

Additional references

  • Manage LUNs


Assign a LUN

Storage Manager for SANs includes the Assign LUN Wizard, which you can use to assign a logical unit number (LUN) to a server or cluster.

Caution

If two or more Fibre Channel ports or iSCSI initiator adapters have been enabled on the server to which the logical unit number (LUN) will be assigned and the server is not configured to use Multipath I/O, data corruption can occur. For more information about Multipath I/O, see Support for Multipath I/O (MPIO).

Caution

If you want to assign the LUN to a cluster, make sure that the cluster has been properly configured, or data loss can occur. For more information, see Define a Server Cluster in Storage Manager for SANs.

Membership in the local Administrators group, or equivalent, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To assign a LUN

  1. In the console tree, click LUN Management.

  2. In the Results pane, select the LUN you want to assign.

  3. In the Actions pane, click Assign LUN.

  4. Follow the steps in the Assign LUN Wizard pages.

Additional considerations

  • Before you assign a LUN to a server or to a cluster, you must first configure the connections on each server that will access the LUN by using the instructions in Manage Server Connections.

  • If the LUN that you want to assign is on an iSCSI subsystem, this LUN must be assigned to an iSCSI target. A server or cluster will only have access to that LUN after the iSCSI initiator on that server or cluster logs on to the iSCSI target. For information about iSCSI targets, see Manage iSCSI Targets.

  • If the LUN that you want to assign does not already have a volume on it, the disk associated with that LUN will be visible to the server that you assign it to, but it will be offline. Before you can create a partition or volume on that disk, you must first use Disk Management or DiskPart to bring the disk online. For more information about bringing a disk online, see:

    • Disk Management (http://go.microsoft.com/fwlink/?LinkID=93544)

    • Online command in DiskPart (http://go.microsoft.com/fwlink/?LinkId=93451)

  • You can use the Assign LUN Wizard to reassign a LUN that is currently assigned to a server or cluster. (The current assignment will be lost when the new assignment takes place.)

  • If you want to temporarily make a LUN invisible to a server or cluster, you can unassign the LUN. (In LUN Management select the LUN you want to unassign. Then, in the Actions pane, click Unassign LUN.) You will be able to assign the LUN again at a later date.

Additional references

  • Manage LUNs


Manage iSCSI Targets

Logical unit numbers (LUNs) created on an iSCSI disk storage subsystem are not directly assigned to a server. For iSCSI, LUNs are assigned to logical entities called targets.

Targets are created in order to manage the connections between an iSCSI device and the servers that need to access it. A target defines the portals (IP addresses) that can be used to connect to the iSCSI device, as well as the security settings (if any) that the iSCSI device requires in order to authenticate the servers that are requesting access to its resources.

Servers that require access to a LUN have to connect to the target to which the LUN is assigned. To connect to a target, a server in the storage area network (SAN) uses an iSCSI initiator. An iSCSI initiator is a logical entity that enables the server to communicate with the target. The iSCSI initiator first logs on to the target. The target must grant access before the server can start reading and writing to all LUNs that are assigned to that target.

With Storage Manager for SANs, you can create targets for the iSCSI subsystems in your SAN, configure the security settings for these targets, and start logon sessions with them.

Important

This feature enables you to perform a select subset of the tasks that relate to iSCSI configuration and administration. You can also perform these and other tasks using the Microsoft iSCSI Initiator, which is included in Windows Server 2008 in Administrative Tools. Additionally, vendors of networking and storage solutions provide similar tools to perform iSCSI configuration and administration tasks. For more information about iSCSI, see http://go.microsoft.com/fwlink/?LinkId=102299.

Note

In most cases, you can create and manage targets yourself. However, some iSCSI storage subsystems only support simple target configurations, where targets are automatically created when you create a LUN. With simple target configurations, you also cannot delete a target or manually assign LUNs to it. LUNs are automatically assigned when they are created. For this type of subsystem, you just need to identify the server or cluster that will access the LUN, and the iSCSI subsystem will enable access from that server or cluster to the LUN.

This section includes the following topics:

  • Create an iSCSI Target

  • Remove an iSCSI Target

  • Manage iSCSI Security

  • Log On to iSCSI Targets

Additional references

  • Manage LUNs


Create an iSCSI Target

Targets are created in order to manage the connections between the iSCSI storage subsystems in your storage area network (SAN) and the servers that need to access them. You assign logical unit numbers (LUNs) to a target, and all servers that log on to that target will have access to the LUNs assigned to it.

Important

This feature enables you to perform a select subset of the tasks that relate to iSCSI configuration and administration. You can also perform these and other tasks using the Microsoft iSCSI Initiator, which is included in Windows Server 2008 in Administrative Tools. Additionally, vendors of networking and storage solutions provide similar tools to perform iSCSI configuration and administration tasks. For more information about iSCSI, see http://go.microsoft.com/fwlink/?LinkId=102299.

Note

In most cases, you can create and manage targets yourself. However, some iSCSI storage subsystems only support simple target configurations, where targets are automatically created when you create a LUN. With simple target configurations, you also cannot delete a target or manually assign LUNs to it. LUNs are automatically assigned when they are created. For this type of subsystem, you just need to identify the server or cluster that will access the LUN, and the iSCSI subsystem will enable access from that server or cluster to the LUN.

After iSCSI targets have been created, you must configure the iSCSI security settings for each of them. For more information about iSCSI security, see Manage iSCSI Security.

Membership in the local Administrators group, or equivalent, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To create an iSCSI target

  1. In the console tree, click LUN Management.

  2. In the Actions pane, click Manage iSCSI targets.

  3. In the Manage iSCSI Targets dialog box, in Select a subsystem to manage, select the subsystem you want to create the target for, and then click Add.

  4. In the Add Target dialog box, in Target Friendly Name, type a descriptive name for the target that will help you to distinguish it from other targets.

  5. In Select portals to enable for this target, select the check box next to each IP address that the target should use, and then click OK.

    The Manage iSCSI Targets dialog box shows the new target, with the portals that you enabled listed at the bottom.

  6. When you are finished creating the target, click Close.

Additional references

  • Manage iSCSI Security

  • Manage iSCSI Targets


Remove an iSCSI Target

If your iSCSI subsystem supports manual target configuration, you can use the Manage iSCSI Targets dialog box to remove an iSCSI target.

Caution

When you remove a target, all initiators currently logged on to that target will no longer be able to access the LUNs that are assigned to that target. This action cannot be undone.

Important

This feature enables you to perform a select subset of the tasks that relate to iSCSI configuration and administration. You can also perform these and other tasks using the Microsoft iSCSI Initiator, which is included in Windows Server 2008 in Administrative Tools. Additionally, vendors of networking and storage solutions provide similar tools to perform iSCSI configuration and administration tasks. For more information about iSCSI, see http://go.microsoft.com/fwlink/?LinkId=102299.

Membership in the local Administrators group, or equivalent, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To remove an iSCSI target

  1. In the console tree, click LUN Management.

  2. In the Actions pane, click Manage iSCSI Targets.

  3. In the Manage iSCSI Targets dialog box, in Select a subsystem to manage, select the subsystem for which the target you want to remove was created.

  4. In Targets available on this subsystem, select the target you want to remove, and then click Remove.

  5. In the Remove Target dialog box, select Check here if you want to remove this target, and then click OK to remove the target.

  6. When you have finished removing the target, click Close.

Additional references

  • Manage iSCSI Targets


Manage iSCSI Security

There are several levels of iSCSI security available with Storage Manager for SANs. The basic level is based on the Challenge Handshake Authentication Protocol (CHAP). CHAP is a protocol that is used to authenticate the peer of a connection and is based upon the peers sharing a secret (a security key that is similar to a password). IP security (IPsec) is a protocol that enforces authentication and data encryption at the IP packet layer, which provides an added level of security.

Important

This feature enables you to perform a select subset of the tasks that relate to iSCSI configuration and administration. You can also perform these and other tasks using the Microsoft iSCSI Initiator, which is included in Windows Server 2008 in Administrative Tools. Additionally, vendors of networking and storage solutions provide similar tools to perform iSCSI configuration and administration tasks. For more information about iSCSI, see http://go.microsoft.com/fwlink/?LinkId=102299.

You must choose the security level that best fits the security policies of your organization:

  • One-way CHAP authentication. With this level of security, only the target authenticates the initiator. The secret is set just for the target and all initiators that want to access that target need to use the same secret to start a logon session with the target.

  • Mutual CHAP authentication. With this level of security, the target and the initiator authenticate each other. A separate secret is set for each target and for each initiator in the storage area network (SAN).

  • IPsec. With this level of security, all IP packets sent during data transfers are encrypted and authenticated. A common key is set on all IP portals, allowing all peers to authenticate each other and negotiate packet encryption. For more information, see IPsec (http://go.microsoft.com/fwlink/?linkid=93520).

Caution

At a minimum, use one-way CHAP authentication between iSCSI initiators and targets.

Note

The level of security that you can set for a storage subsystem depends on the hardware manufacturer. Not all subsystems support all levels of iSCSI security. You should contact your hardware manufacturer to verify what level of security is supported.

For more information about iSCSI, see http://go.microsoft.com/fwlink/?LinkId=93543.

Membership in the local Administrators group, or equivalent, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To manage iSCSI security

  1. In the console tree, click LUN Management.

  2. In the Actions pane, click Manage iSCSI Security.

  3. To configure one-way CHAP authentication, in the Manage iSCSI Security dialog box, configure the following settings on the Targets tab:

    1. If you want to configure different CHAP secrets for different targets, in the list of targets, select a target that you want to set the CHAP secret for, and click Set Secret.

      -Or-

      To use the same CHAP secret for a group of targets, select the targets from the list and click Set Secret.

    2. In the Set Secret dialog box, type and confirm the target CHAP secret.

    3. Optionally, select Remember secret on local initiator if you want to automatically pass the new secret to the local initiator.

    4. To set the new secret, click OK.

  4. To configure mutual CHAP authentication, you must first configure one-way CHAP authentication by following step 3. Then, enter the following configuration on the Local Initiator tab:

    1. Type and confirm the CHAP secret for the local initiator.

    2. Under mutual CHAP authentication, the initiator will only be able to log on to targets that know the initiator secret. To share the initiator secret with the targets that the server needs to access, in the list of targets, select each target that you want to authenticate on the initiator.

    3. To set the new secret for the local initiator and to share it with the selected targets, click Apply Secret.

  5. To configure IPsec, in the Manage iSCSI Security dialog box, configure the following settings on the Portals tab:

    1. If you want to use different IPsec keys for different portals, in the list of portals, select a portal and click Set IPsec Key.

      -Or-

      To use the same IPsec key for a group of portals, select the portals from the list, and click Set IPsec Key.

    2. In the Set IPsec Key dialog box, type and confirm a new IPsec key.

    3. Optionally, select Remember the IPsec key on local initiator if you want to automatically pass the new key to the local initiator.

    4. To set the new IPsec key, click OK.

  6. When you are done configuring iSCSI security, click Close.

Additional references

  • Log On to iSCSI Targets

  • Manage iSCSI Targets


Log On to iSCSI Targets

You can log on to iSCSI targets using Storage Manager for SANs. This starts a logon session only between the server that is running Storage Manager for SANs and the selected target. Each server that requires access to the logical unit numbers (LUNs) that are assigned to a target must start a separate logon session with that target.

Important

This feature enables you to perform a select subset of the tasks that relate to iSCSI configuration and administration. You can also perform these and other tasks using the Microsoft iSCSI Initiator, which is included in Windows Server 2008 in Administrative Tools. Additionally, vendors of networking and storage solutions provide similar tools to perform iSCSI configuration and administration tasks. For more information about iSCSI, see http://go.microsoft.com/fwlink/?LinkId=102299.

Note

If you have not yet configured iSCSI security for initiators and targets, you will not be able to log on to a target. For more information about iSCSI security, see Manage iSCSI Security.

Note

You can also start a logon session between a server in your storage area network (SAN) and a target, using the local iSCSI initiator interface, if available (this depends on the iSCSI initiator software that is installed on that server).

Membership in the local Administrators group, or equivalent, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To log on to iSCSI targets

  1. In the console tree, click LUN Management.

  2. In the Actions pane, click Log On to iSCSI Targets.

  3. In the Log On to iSCSI Targets dialog box, select the target that you want to establish a logon session with, and click Log On.

    Note

    If the target that you want to log on to is not listed, click Close. In the Actions pane, click Refresh, and then follow these instructions from step 2.

  4. In the Log On to Target dialog box, select the type of Challenge Handshake Authentication Protocol (CHAP) authentication to use for the logon session:

    • Log on using one-way CHAP authentication

    • Log on using mutual CHAP authentication

  5. To establish the logon session, click OK.

Additional references

  • Manage iSCSI Security

  • Manage iSCSI Targets


Manage Subsystems

Storage subsystems are automatically discovered using the Virtual Disk Service (VDS). Only those subsystems in your storage area network (SAN) that support VDS can be administered using Storage Manager for SANs.

Note

For more information about VDS, see http://go.microsoft.com/fwlink/?LinkId=93546.

The Subsystems node lists all the storage subsystems currently discovered in your SAN and allows you to change the subsystem name that was returned by VDS.

This section includes the following topic:

  • Rename a Subsystem

Additional references

  • Overview of Storage Manager for SANs


Rename a Subsystem

Note

Depending on the version of the Virtual Disk Service (VDS) provider that the storage subsystem is running, you may not be able to change the subsystem name.

Membership in the local Administrators group, or equivalent, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To rename a subsystem

  1. In the console tree, click Subsystems.

  2. In the Results pane, select the subsystem you want to rename.

  3. In the Actions pane, click Rename Subsystem.

  4. In the Rename Subsystem dialog box, type a new name for the subsystem, and then click OK.

Additional references

  • Manage Subsystems


Manage Drives

The Drives node lists all the drives in the subsystems that are discovered in your storage area network (SAN). To help identify the drives you are working with, you can make the light on a drive blink.

Note

The ability to make the drive light blink depends on your hardware.

This section includes the following topic:

  • Make a Drive Light Blink

Additional references

  • Overview of Storage Manager for SANs


Make a Drive Light Blink

Note

The ability to make a drive light blink depends on your hardware. If your storage subsystem does not support this feature, the Blink Drive Light action will not be available.

Membership in the local Administrators group, or equivalent, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To make a drive light blink

  1. In the console tree, click Drives.

  2. In the Results pane, click the drive whose light you want to blink.

  3. In the Actions pane, click Blink Drive Light.

  4. In the Blink Drive LED dialog box, click Start.

  5. Click Stop when you have identified the drive.

Additional references

  • Manage Drives


Connecting to a Remote Computer

To manage storage subsystems on a remote computer, you can connect to the computer from Storage Manager for SANs. While you are connected, Storage Manager for SANs allows you to create and manage LUNs on Fibre Channel and iSCSI disk storage subsystems that are discovered by Virtual Disk Service (VDS) on the remote computer.

Note

Storage Manager for SANs can manage storage subsystems discovered on the local computer or a remote computer, but not on both computers at the same time.

Membership in the local Administrators group, or equivalent, is the minimum required to complete this procedure. Review details about using the appropriate accounts and group memberships at http://go.microsoft.com/fwlink/?LinkId=83477.

To connect to a remote computer from Storage Manager for SANs

  1. In Administrative Tools, click Storage Manager for SANs.

  2. In the console tree, right-click Storage Manager for SANs, and then click Connect to another computer.

  3. In the Connect to Another Computer dialog box, click Another computer. Then type the name of the computer that you want to connect to (or click Browse to search for a remote computer).

  4. Click OK.
Important

The Connect to another computer command is available only when you open Storage Manager for SANs from Administrative Tools. When you access Storage Manager for SANs from Server Manager, the command is not available.

Additional considerations

  • You must be logged on to the local computer with a domain account that is a member of the Administrators group on the remote computer.

  • The remote computer must be running Windows Server 2008, and it must be a member of the same domain as the computer you are connecting from. You cannot connect to a remote computer if both computers are members of a workgroup.

  • At least one VDS hardware provider must be installed on the remote computer. Connecting to a remote computer from Storage Manager for SANs will start the Virtual Disk service and the VDS hardware provider(s) installed there.

  • The Remote Volume Management firewall exception must be enabled on both the local computer and the remote computer. Enable this exception by using Windows Firewall from Control Panel.

Additional references

  • Overview of Storage Manager for SANs